#version 120

uniform sampler2D tex_diffuse;

uniform vec2 bloom_ofs;

void main(){
    vec4 acc = vec4(0,0,0,0);
    vec4 sample;
    for(int i=-7; i<8; i++){
        acc += texture2D(tex_diffuse, gl_TexCoord[0].xy + (bloom_ofs * float(i)));
    }

    gl_FragColor = acc *0.06;
    //gl_FragColor.a = 0.2;
}
